Subject: Re: [PATCH V1 00/10] Remove duplicated kmap code

From: Michael Ellerman <[email-masked]>
Date: Fri, 01 May 2020 12:29:00 +1000

[email-masked] writes:
> From: Ira Weiny <[email-masked]>
>
> The kmap infrastructure has been copied almost verbatim to every architecture.
> This series consolidates obvious duplicated code by defining core functions
> which call into the architectures only when needed.
>
> Some of the k[un]map_atomic() implementations have some similarities but the
> similarities were not sufficient to warrant further changes.
>
> In addition we remove a duplicate implementation of kmap() in DRM.
>
> Testing was done by 0day to cover all the architectures I can't readily
> build/test.

I threw some powerpc builds at it and they all passed, so LGTM.

cheers